<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Mon Jun 03 13:13:18 CEST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>ElementFactory (Master POM 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2019-06-03">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ElementFactory (Master POM 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ElementFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/Element/Element.html" title="class in model.Element"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../model/Element/Empty.html" title="class in model.Element"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/Element/ElementFactory.html" target="_top">Frames</a></li>
<li><a href="ElementFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model.Element</div>
<h2 title="Class ElementFactory" class="title">Class ElementFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>model.Element.ElementFactory</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">ElementFactory</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">A factory for creating Element objects.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../model/Element/Diamond.html" title="class in model.Element">Diamond</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#Diamond">Diamond</a></span></code>
<div class="block">The Diamond.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static <a href="../../model/Element/Element.html" title="class in model.Element">Element</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#element">element</a></span></code>
<div class="block">The element.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../model/Element/Empty.html" title="class in model.Element">Empty</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#Empty">Empty</a></span></code>
<div class="block">The Empty.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../model/Element/Enemy.html" title="class in model.Element">Enemy</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#Enemy">Enemy</a></span></code>
<div class="block">The Enemy.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../model/Element/Exit.html" title="class in model.Element">Exit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#Exit">Exit</a></span></code>
<div class="block">The Exit.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../model/Element/Ground.html" title="class in model.Element">Ground</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#Ground">Ground</a></span></code>
<div class="block">The Ground.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../model/Element/Player.html" title="class in model.Element">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#Player">Player</a></span></code>
<div class="block">The Player.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../model/Element/Rock.html" title="class in model.Element">Rock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#Rock">Rock</a></span></code>
<div class="block">The Rock.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../model/Element/Wall.html" title="class in model.Element">Wall</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#Wall">Wall</a></span></code>
<div class="block">The Wall.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#ElementFactory--">ElementFactory</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../model/Element/Element.html" title="class in model.Element">Element</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../model/Element/ElementFactory.html#getObject-java.lang.String-">getObject</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;object)</code>
<div class="block">Gets the object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="Rock">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Rock</h4>
<pre>public static&nbsp;<a href="../../model/Element/Rock.html" title="class in model.Element">Rock</a> Rock</pre>
<div class="block">The Rock.</div>
</li>
</ul>
<a name="Empty">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Empty</h4>
<pre>public static&nbsp;<a href="../../model/Element/Empty.html" title="class in model.Element">Empty</a> Empty</pre>
<div class="block">The Empty.</div>
</li>
</ul>
<a name="Enemy">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Enemy</h4>
<pre>public static&nbsp;<a href="../../model/Element/Enemy.html" title="class in model.Element">Enemy</a> Enemy</pre>
<div class="block">The Enemy.</div>
</li>
</ul>
<a name="Exit">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Exit</h4>
<pre>public static&nbsp;<a href="../../model/Element/Exit.html" title="class in model.Element">Exit</a> Exit</pre>
<div class="block">The Exit.</div>
</li>
</ul>
<a name="Ground">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Ground</h4>
<pre>public static&nbsp;<a href="../../model/Element/Ground.html" title="class in model.Element">Ground</a> Ground</pre>
<div class="block">The Ground.</div>
</li>
</ul>
<a name="Player">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Player</h4>
<pre>public static&nbsp;<a href="../../model/Element/Player.html" title="class in model.Element">Player</a> Player</pre>
<div class="block">The Player.</div>
</li>
</ul>
<a name="Wall">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Wall</h4>
<pre>public static&nbsp;<a href="../../model/Element/Wall.html" title="class in model.Element">Wall</a> Wall</pre>
<div class="block">The Wall.</div>
</li>
</ul>
<a name="Diamond">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Diamond</h4>
<pre>public static&nbsp;<a href="../../model/Element/Diamond.html" title="class in model.Element">Diamond</a> Diamond</pre>
<div class="block">The Diamond.</div>
</li>
</ul>
<a name="element">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>element</h4>
<pre>private static&nbsp;<a href="../../model/Element/Element.html" title="class in model.Element">Element</a>[] element</pre>
<div class="block">The element.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ElementFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ElementFactory</h4>
<pre>public&nbsp;ElementFactory()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getObject-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getObject</h4>
<pre>public static&nbsp;<a href="../../model/Element/Element.html" title="class in model.Element">Element</a>&nbsp;getObject(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;object)</pre>
<div class="block">Gets the object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the object</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the object</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ElementFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../model/Element/Element.html" title="class in model.Element"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../model/Element/Empty.html" title="class in model.Element"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/Element/ElementFactory.html" target="_top">Frames</a></li>
<li><a href="ElementFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
